<?php
/**
 * @name : Default
 * @package : CMSSuperHeroes
 * @author : Fox
 */
?>
<?php global $smof_data; ?>
<?php if( is_active_sidebar( 'sidebar-top-left' ) || is_active_sidebar( 'sidebar-top-right' ) ) : ?>
<div id="cshero-header-top" style="display:<?php if(garden_get_post_meta('option_header_top') == "on"){echo "none;";} ?>">
    <div class="container">
        <div class="row">
             <div class="top-left col-xs-12 col-sm-6 col-md-6 col-lg-6"><?php dynamic_sidebar('sidebar-top-left'); ?></div>
             <div class="info col-xs-12 col-sm-6 col-md-6 col-lg-6"><?php dynamic_sidebar('sidebar-top-right'); ?></div>
        </div>
    </div>
</div>
<?php endif;?>
<div id="cshero-header" class="cshero-main-header <?php if (!$smof_data['menu_sticky']) {echo 'no-sticky';} ?> <?php if ($smof_data['menu_sticky_tablets']) {echo 'sticky-tablets';} ?> <?php if ($smof_data['menu_sticky_mobile']) {echo 'sticky-mobile';} ?> <?php if (is_page() && !empty($garden_meta->_cms_enable_header_fixed)) {echo 'header-fixed-page';} ?><?php if(garden_get_post_meta('option_header_top') == "on"){echo "no-headtop";} ?>">
    <div class="container">
        <div class="row">
            <div id="cshero-header-logo" class="col-xs-12 col-sm-3 col-md-3 col-lg-3">
                <a href="<?php echo esc_url(home_url('/')); ?>"><img alt="" src="<?php echo esc_url($smof_data['main_logo']['url']); ?>"></a>
            </div>
            <div id="cshero-header-navigation" class="col-xs-12 col-sm-9 col-md-9 col-lg-9 <?php if ($smof_data['menu_mega'] == 0 ) {echo 'megamenu-off';} ?>">
                <nav id="site-navigation" class="main-navigation">
                    <?php
                    
                    $attr = array(
                        'menu' =>garden_menu_location(),
                        'menu_class' => 'nav-menu menu-main-menu',
                    );
                    
                    $menu_locations = get_nav_menu_locations();
                    
                    if(!empty($menu_locations['primary'])){
                        $attr['theme_location'] = 'primary';
                    }
                    
                    /* enable mega menu. */
                    if(class_exists('HeroMenuWalker')){ $attr['walker'] = new HeroMenuWalker(); }else{$attr['link_before'] = '<span>'; $attr['link_after'] = '</span>';}
                    
                    /* main nav. */
                    wp_nav_menu( $attr ); ?>
                </nav>
            </div>
            <div id="cshero-menu-mobile" class="collapse navbar-collapse"><i class="fa fa-bars"></i></div>
        </div>
    </div>
</div>
<!-- #site-navigation -->