<?php
/**
 * The Template for displaying all single posts
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

get_header(); ?>
<div class="<?php garden_main_class(); ?>">
    <div class="portfolio-single clearfix">
        <div class="row">
            <div id="primary" >
                <div id="content" role="main">

                    <?php while ( have_posts() ) : the_post(); ?>

                    <div class="content-port">

                        <?php get_template_part( 'single-templates/single-portfolio/content', get_post_format() ); ?>
                    </div>
                </div>
            </div>
        </div>
        </div>
        </div>
        <div class="related">
            <div class="container">
                <div class="row">
                    <div class="related-post">
                        <?php
                            $terms = get_the_terms(get_the_ID(), 'catetory-portfolio');
                            if(!empty($terms)) {
                                $portfolio_category = array();
                                foreach ($terms as $term){
                                    $portfolio_category[] = $term->term_id;
                                }
                                $portfolio_categorys = '|tax_query:'.implode(', ', $portfolio_category);
                            }
                            echo apply_filters('the_content','[cms_carousel xsmall_items="1" small_items="2" not__in="true" medium_items="3" large_items="4" autoplay="false" margin="30" nav="false" dots="false" source="size:10|order_by:date|post_type:portfolio'.$portfolio_categorys.'" cms_template="cms_carousel--related-portfolio.php"]'); 
                        ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endwhile; // end of the loop. ?>
<?php get_footer(); ?>