<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-blog-single">
		<div class="blog-header">
			<div class="info">
				<div class="blog-categories">
					<?php garden_categories()?>
				</div>
				<h2 class="blog-title">
			    	<p>
			    		<?php the_title(); ?>
			    	</p>
			    </h2>
			    
				<div class="blog-detail">
					<?php garden_archive_detail_single(); ?>
				</div>
			</div>
		    <div class="blog-feature blog-gallery">
		    	<?php
		    	$gallery = garden_archive_gallery();

    			if($gallery) {
    			    echo apply_filters('the_content', preg_replace('/\[gallery(.*)]/', '', get_the_content(), 1));
    			} else {
    			    the_content();
    			}
	    		wp_link_pages( array(
	        		'before'      => '<div class="pagination loop-pagination"><span class="page-links-title">' . esc_html__( 'Pages:','wp-garden') . '</span>',
	        		'after'       => '</div>',
	        		'link_before' => '<span class="page-numbers">',
	        		'link_after'  => '</span>',
	    		) );
			?>
		    </div>
		</div>
	</div>
	<!-- .entry-blog -->
</article>
<!-- #post -->
