<?php
/**
 * Add row params
 * 
 * @author Fox
 * @since 1.0.0
 */

vc_remove_param( "vc_btn", "add_icon" );
vc_remove_param( "vc_btn", "i_align" );
vc_remove_param( "vc_btn", "i_type" );
vc_remove_param( "vc_btn", "i_icon_fontawesome" );
vc_remove_param( "vc_btn", "i_icon_openiconic" );
vc_remove_param( "vc_btn", "i_icon_typicons" );
vc_remove_param( "vc_btn", "i_icon_entypo" );
vc_remove_param( "vc_btn", "i_icon_linecons" );
vc_remove_param( "vc_btn", "i_icon_pixelicons" );
vc_remove_param( "vc_btn", "style" );
vc_remove_param( "vc_btn", "shape" );
vc_remove_param( "vc_btn", "color" );
vc_remove_param( "vc_btn", "outline_custom_hover_text" );
vc_remove_param( "vc_btn", "outline_custom_hover_background" );
vc_remove_param( "vc_btn", "outline_custom_color" );
vc_remove_param( "vc_btn", "custom_background" );
vc_remove_param( "vc_btn", "custom_text" );

vc_add_param("vc_btn",
array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Color Button", 'wp-garden'),
    "admin_label" => true,
    "param_name" => "btn_style",
    "value" => array(
        esc_html__("Button Default",'wp-garden') => "",
        esc_html__("Button Primary",'wp-garden') => "1"
    ),
    'group' => esc_html__('Custom Style','wp-garden')
));
vc_add_param("vc_btn", 
	array(
    "type" => "colorpicker",
    "heading" => esc_html__("Color Text", 'wp-garden'),
    "param_name" => "color_text",
    "description" => esc_html__("Select color for text", 'wp-garden'),
    "group" => esc_html__("Custom Style", 'wp-garden'),
    "value" => "#ffffff",
));