<?php
/**
 * Add row params
 * 
 * @author Fox
 * @since 1.0.0
 */

vc_add_param("vc_custom_heading", array(
    "type" => "textfield",
    "class" => "",
    "admin_label" => true,
    "heading" => esc_html__("Sub Title", 'wp-garden'),
    "param_name" => "tag_title",
    'group' => esc_html__('Custom Style','wp-garden'),
));
vc_add_param("vc_custom_heading", array(
    "type" => "textfield",
    "class" => "",
    "admin_label" => true,
    "heading" => esc_html__("Lettter Spacing", 'wp-garden'),
    "param_name" => "letter_spacing",
    'group' => esc_html__('Custom Style','wp-garden'),
));
vc_add_param('vc_custom_heading', array(
    'type' => 'dropdown',
    "admin_label" => true,
    'heading' => esc_html__("Style", 'wp-garden'),
    'param_name' => 'style_number',
    "value" => array(
        esc_html__("Default",'wp-garden') => "",
        esc_html__("Number Contact",'wp-garden') => "1",
    ),
    'group' => esc_html__('Design Options','wp-garden'),
));
vc_add_param("vc_custom_heading", array(
    "type" => "dropdown",
    "admin_label" => true,
    "class" => "",
    "heading" => esc_html__("Separator Weight", 'wp-garden'),
    "param_name" => "border_weight",
    "value" => array(
        esc_html__("Default",'wp-garden') => "",
        esc_html__("2px",'wp-garden') => "2",
        esc_html__("3px",'wp-garden') => "3",
    ),
    'group' => esc_html__('Custom Style','wp-garden'),
));
vc_add_param("vc_custom_heading", array(
    "type" => "dropdown",
    "admin_label" => true,
    "class" => "",
    "heading" => esc_html__("Separator Alignment", 'wp-garden'),
    "param_name" => "separator_align",
    "value" => array(
        esc_html__("Left",'wp-garden') => "",
        esc_html__("Right",'wp-garden') => "1",
        esc_html__("Center",'wp-garden') => "2",
    ),
    'group' => esc_html__('Custom Style','wp-garden'),
));
vc_add_param("vc_custom_heading", array(
    "type" => "dropdown",
    "admin_label" => true,
    "class" => "",
    "heading" => esc_html__("Position Tag Line", 'wp-garden'),
    "param_name" => "position_tagline",
    "value" => array(
        esc_html__("Middle",'wp-garden') => "1",
        esc_html__("Bottom",'wp-garden') => "2",
    ),
    'group' => esc_html__('Custom Style','wp-garden'),
));