<?php
/**
 * The template for displaying 404 pages (Not Found)
 * 
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

get_header(); ?>
	<div id="primary" class="site-content">
		<div id="content" role="main" class="container">

			<article id="post-0" class="post error404 no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php esc_html_e( '404 - Page Not Found', 'wp-garden' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php esc_html_e( ' The page you are looking for no longer exists. Perhaps you can return back to the sites homepage and see if you can find what you are looking for. Or, you can try finding it with the information below.', 'wp-garden' ); ?></p>
					<a href="#"><?php esc_html_e('Back to Home', 'wp-garden'); ?></a>
				</div><!-- .entry-content -->
			</article><!-- #post-0 -->

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_footer(); ?>