<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>
        </div><!-- #main -->
			<footer>
                <?php if( is_active_sidebar( 'sidebar-footer-top-1' ) || is_active_sidebar( 'sidebar-footer-top-2' ) || is_active_sidebar( 'sidebar-footer-top-3' ) || is_active_sidebar( 'sidebar-footer-top-4' ) ) : ?>
                    <div id="cshero-footer-top">
                        <div class="container">
                            <div class="row">
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 widget-footer"><?php dynamic_sidebar('sidebar-footer-top-1'); ?></div>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 widget-footer"><?php dynamic_sidebar('sidebar-footer-top-2'); ?></div>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 widget-footer"><?php dynamic_sidebar('sidebar-footer-top-3'); ?></div>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 widget-footer"><?php dynamic_sidebar('sidebar-footer-top-4'); ?></div>
                            </div>
                        </div>
                    </div>
                <?php endif;?>
                <div id="cshero-footer-bottom">
                     <div class="container">
                         <div class="row">
                             <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 footer-bottom-widget text-left"><?php echo garden_get_value_smofdata('copyright'); ?></div>
                             <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 footer-bottom-widget footer-menu"><?php dynamic_sidebar('sidebar-bottom-right'); ?></div>
                         </div>
                     </div>
                </div>
		</footer><!-- #site-footer -->
        </div><!-- #page -->
	<?php wp_footer(); ?>
</body>
</html>