<?php
/**
 * Template Name: Left Sidebar
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 * @author Fox
 */

get_header(); ?>
<div id="page-left-sidebar">
    <div class="container">
        <div class="row">
            <div class="hidden-xs col-sm-4 col-md-4 col-lg-4">
                <?php get_sidebar(); ?>
            </div>
            <div id="primary" class="col-xs-12 col-sm-8 col-md-8 col-lg-8">
                <div id="content" role="main">

                    <?php global $wp_query, $paged; ?>
                
                <?php $wp_query->query('post_type=post&showposts='.get_option('posts_per_page').'&paged='.$paged); ?>
                
                <?php if ( have_posts() ) : ?>

                    <?php while ( have_posts() ) : the_post();

                        get_template_part( 'single-templates/content/content', get_post_format() );

                    endwhile; // end of the loop.?>
                    
                    <?php garden_paging_nav(); ?>
                    
                <?php else : ?>

                    <?php get_template_part( 'single-templates/content', 'none' ); ?>
                    
                <?php endif; ?> 

                </div><!-- #content -->
            </div><!-- #primary -->
        </div><!-- #primary -->
	</div><!-- #primary -->
</div>
<?php get_footer(); ?>