<?php
/**
 * The Template for displaying all single posts
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */

get_header(); ?>
<div class="<?php garden_main_class(); ?>">
    <div class="content-blog-box clearfix">
        <div class="row">
            <div id="primary" class="col-xs-12 col-sm-8 col-md-8 col-lg-8">
                <div id="content" role="main">

                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php get_template_part( 'single-templates/single/content', get_post_format() ); ?>

                        <?php garden_post_nav(); ?>

                        <?php comments_template( '', true ); ?>

                    <?php endwhile; // end of the loop. ?>

                </div><!-- #content -->
            </div><!-- #primary -->
            <div class="hidden-xs col-sm-4 col-md-4 col-lg-4">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>