<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-blog">
		<div class="blog-header">
		    <div class="blog-feature blog-gallery">
		    	<?php garden_archive_gallery(); ?>
		    </div>
		    <div class="info">
				<div class="blog-categories">
					<?php garden_categories()?>
				</div>
				<h2 class="blog-title">
			    	<a href="<?php the_permalink(); ?>">
			    		<?php the_title(); ?>
			    	</a>
			    </h2>
			    
				<div class="blog-detail">
					<?php garden_archive_detail_column_blog(); ?>
				</div>
				<div class="blog-content">
					<?php the_excerpt();
			    		wp_link_pages( array(
			        		'before'      => '<div class="pagination loop-pagination"><span class="page-links-title">' . esc_html__( 'Pages:','wp-garden') . '</span>',
			        		'after'       => '</div>',
			        		'link_before' => '<span class="page-numbers">',
			        		'link_after'  => '</span>',
			    		) );
					?>
				</div>
				<!-- .entry-content -->

				<footer class="blog-footer">
				    <?php garden_archive_readmore(); ?>
				    <!-- .readmore link -->
				</footer>
				<!-- .entry-footer -->
			</div>

		</div>
		
	</div>
	<!-- .entry-blog -->
</article>
<!-- #post -->
