<?php
/**
 * Add row params
 * 
 * @author Fox
 * @since 1.0.0
 */

vc_add_param("vc_column_text",
array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Select Style", 'wp-garden'),
    "admin_label" => true,
    "param_name" => "error_404",
    "value" => array(
        esc_html__("Default",'wp-garden') => "",
        esc_html__("Style Page Error",'wp-garden') => "1",
        esc_html__("Ordered List",'wp-garden') => "2",
        esc_html__("Unordered List",'wp-garden') => "3",
        esc_html__("Unstyled List",'wp-garden') => "4",
        esc_html__("Drop Caps",'wp-garden') => "5",
        esc_html__("More Style",'wp-garden') => "6",
        esc_html__("Title Number Contact",'wp-garden') => "7",
        esc_html__("Content In Tabs",'wp-garden') => "8",
        esc_html__("Page Full Width",'wp-garden') => "9",
    ),
    'group' => esc_html__('Custom Style','wp-garden')
));