<div class="cms-carousel owl-carousel <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php
    $posts = $atts['posts'];

    /* get categories */
        $taxo = 'catetory-portfolio';
        $_category = array();
        if(!isset($atts['cat']) || $atts['cat']==''){
            $terms = get_terms($taxo);
            foreach ($terms as $cat){
                $_category[] = $cat->term_id;
            }
        } else {
            $_category  = explode(',', $atts['cat']);
        }
        $atts['categories'] = $_category;
        
    while($posts->have_posts()){
        $posts->the_post();
        ?>
        <div class="cms-carousel-item">
            <div class="hidden-info">
                <div class="thumbnail">
                    <?php 
                        if(has_post_thumbnail() && !post_password_required() && !is_attachment() &&  wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size, false)):
                            $class = ' has-thumbnail';
                            $thumbnail = get_the_post_thumbnail(get_the_ID(),$size);
                        else:
                            $class = ' no-image';
                            $thumbnail = '<img src="'.get_template_directory_uri().'/assets/images/no-image.jpg" alt="'.get_the_title().'" />';
                        endif;
                        echo '<div class="cms-grid-media '.esc_attr($class).'">'.$thumbnail.'</div>';
                    ?>
                </div>
                <div class="link">
                    <a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id(get_the_ID(),'full') );?>" data-lightbox="lightbox"><i class="fa fa-search"></i></a>
                    <a href="<?php the_permalink();?>"><i class="fa fa-link"></i></a>
                </div>
            </div>
            <div class="cms-carousel-title">
                <a class="cms-link" href="<?php the_permalink();?>" ><?php the_title();?></a>
            </div>
            <div class="cms-carousel-categories">
                <?php echo get_the_term_list( get_the_ID(), $taxo, '', ', ', '' ); ?>
            </div>
        </div>
        <?php
    }
    ?>
</div>