<div class="cms-carousel owl-carousel <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php
    $posts = $atts['posts'];

    global $product, $woocommerce_loop;

    if ( ! $product || ! $product->is_visible() ) {
        return;
    }

    while($posts->have_posts()){
        $posts->the_post();
        ?>
        <div class="cms-carousel-related-item">
            <div class="related-item image-shop">
                <?php
                    /**
                     * woocommerce_before_shop_loop_item_title hook
                     *
                     * @hooked woocommerce_show_product_loop_sale_flash - 10
                     * @hooked woocommerce_template_loop_product_thumbnail - 10
                     */
                    do_action( 'woocommerce_before_shop_loop_item_title' );
                ?>
                <div class="link-shop">
                    <a href="<?php echo esc_url( $product->add_to_cart_url() ); ?>">
                        <i class="fa fa-shopping-cart"></i>
                    </a>
                    <a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
                </div>
            </div>
            <div class="cms-carousel-related-content">
                <a href="<?php the_permalink(); ?>">

                        <?php

                        /**
                         * woocommerce_shop_loop_item_title hook
                         *
                         * @hooked woocommerce_template_loop_product_title - 10
                         */
                        do_action( 'woocommerce_shop_loop_item_title' );

                        ?>
                            
                        </a>

                        <?php

                        /**
                         * woocommerce_after_shop_loop_item_title hook
                         *
                         * @hooked woocommerce_template_loop_rating - 5
                         * @hooked woocommerce_template_loop_price - 10
                         */
                        do_action( 'woocommerce_after_shop_loop_item_title' );
                    ?>
            </div>
        </div>
        <?php
    }
    ?>
</div>